import sqlite3
import json
import os

current_dir = os.path.dirname(os.path.abspath(__file__))
json_path = os.path.join(current_dir, "login.json")
db_path = os.path.join(current_dir, "myDB.db")

con = sqlite3.connect(db_path)
cur = con.cursor()

cur.execute('''CREATE TABLE IF NOT EXISTS users 
             (username TEXT PRIMARY KEY, 
              password TEXT, 
              position TEXT, 
              room TEXT, 
              email TEXT UNIQUE)''')

with open(json_path, 'r') as f:
    user_list = json.load(f)

try:
    cur.executemany("INSERT OR REPLACE INTO users VALUES (?, ?, ?, ?, ?)", 
                   [(user["username"], user["password"], user["position"], 
                     user["room"], user["email"]) for user in user_list])
    con.commit()
except sqlite3.Error as e:
    print(f"Error: {e}")

print("Users in database:")
for row in cur.execute("SELECT * FROM users ORDER BY username"):
    print(row)

con.close() 