#Querying records
#Source: https://www.pythoncentral.io/introductory-tutorial-python-sqlalchemy/
from sqlachemy_declarative_v1 import Modules
from sqlachemy_declarative_v1 import Tutor
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from sqlachemy_declarative import Tutor, Base, Modules

engine = create_engine('sqlite:///sqlalchemy_db.db')
# Bind the engine to the metadata of the Base class so that the
# declaratives can be accessed through a DBSession instance
Base.metadata.bind = engine
DBSession = sessionmaker(bind=engine)
session = DBSession()

print('\n# Find all tutors\n')
for tutor in session.query(Tutor).all():
    print(str(tutor.id) + ' ' + tutor.name)

print('\n# Find first tutor\n')
tutor = session.query(Tutor).first()
print(tutor.name)

print('\n#find modules matching above tutor\n')
modules = session.query(Modules).filter(Modules.tutor == tutor)
for module in modules:
    print(module.id, module.module_name, module.module_desc, module.module_code)

print('\n#join\n')
result = session.query(Tutor, Modules).join(Modules).all()

for tutor, modules in result:
    print(tutor.id, tutor.name, modules.module_name, modules.module_desc, modules.module_code) 

print('\n#join with filter and selection in query\n')
result = session.query(Tutor.id, Tutor.name).join(Modules).filter(Modules.module_code=='UFCFES-30-1').all()
for row in result:
    print(row) #will show tutor id and tutor name

print('\n#join with a filter and selection in print\n')
result = session.query(Tutor, Modules).join(Modules).filter(Tutor.id==1000).all()    
for tutor, modules in result:
    print(tutor.id, tutor.name, modules.module_name, modules.module_desc, modules.module_code) 

#if three table join then add select_from
#result = session.query(Tutor, Modules, Topics).select_from(Topics).join(Modules).join(Tutor).all()
#for topics, modules, tutor in result:
#    print(topic.name, tutor.name, modules.module_name)