#Creating db and tables
#Adapted from Source: https://www.pythoncentral.io/introductory-tutorial-python-sqlalchemy/

import os
import sys
from sqlalchemy import Column, ForeignKey, Integer, String
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import relationship
from sqlalchemy import create_engine

Base = declarative_base()

class Tutor(Base):
    __tablename__ = 'tutor'
    #define columns for table tutor where each column is 
    # a normal Python instance attribute
    id = Column(Integer, primary_key=True)
    name = Column(String(250), nullable=False)

class Modules(Base):
    __tablename__ = 'modules'
    #define columns for table modules where each column is
    # a normal Python instance attribute
    id = Column(Integer, primary_key=True)
    module_name = Column(String(100))
    module_desc = Column(String(250))
    module_code = Column(String(100), nullable=False)
    tutor_id = Column(Integer, ForeignKey('tutor.id'))
    tutor = relationship(Tutor)


# Create an engine that stores data in the local 
# sqlachemy_db.db file
engine = create_engine('sqlite:///sqlalchemy_db.db')

# Create all tables in the engine - similar to Create Table
Base.metadata.create_all(engine)
