import sqlite3
import json
import os

# Lấy đường dẫn tuyệt đối đến thư mục hiện tại
current_dir = os.path.dirname(os.path.abspath(__file__))
json_path = os.path.join(current_dir, "users.json")
db_path = os.path.join(current_dir, "myDB.db")

# Kiểm tra nếu database đã tồn tại
if os.path.exists(db_path):
    os.remove(db_path)  # Xóa file cũ để tránh lỗi table đã tồn tại

con = sqlite3.connect(db_path)
cur = con.cursor()

cur.execute('''CREATE TABLE staff (name TEXT, position TEXT, office TEXT, email TEXT)''')

with open(json_path, 'r') as f:
    loaded_list = json.load(f)

cur.executemany("INSERT INTO staff VALUES (?, ?, ?, ?)", loaded_list)

con.commit()

print("Staff data in database:")
for row in cur.execute("SELECT * FROM staff ORDER BY name"):
    print(row)

con.close()