# OOP version of activity_4.py with pack layout
# A simple username text field and search button that displays
# what user has entered through a message box

import tkinter as tk
from tkinter import ttk
from tkinter.messagebox import showinfo

class App(tk.Tk):
  def __init__(self):
    super().__init__()

    self.title('My OOP App')
    self.geometry('200x150') #change these values and see the behaviour
    self.label = ttk.Label(self, text='Username')  
    self.label.pack(side='left')
    self.user = tk.StringVar()
    self.entry = ttk.Entry(self, textvariable=self.user)     
    self.entry.pack(side='right')   
    self.button = ttk.Button(self, text="SEARCH", command=self.validate)
    self.button.pack(side='bottom')

  def validate(self):
    showinfo(title='Information', message='OOP Tkinter! Hello, ' + self.user.get())

if __name__ == "__main__":
  app = App()
  app.mainloop()

# adapted from https://www.pythontutorial.net/tkinter/tkinter-object-oriented-window/ 
"""

activity_4.py

from tkinter import *
import tkinter.messagebox as mb

def validate():
    print("Username entered :", user.get())
    mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + user.get())  

w = Tk()

w.geometry("200x70")

f1 = Frame(w)
f1.pack(side=TOP)

u_label = Label(f1,text="Username")
u_label.pack(side=LEFT)

user = StringVar()
u_entry = Entry(f1, textvariable= user, bd=2) 
u_entry.pack(side=RIGHT)

u_button = Button(text="SEARCH", command=validate)
u_button.pack(side=BOTTOM)

w.mainloop()

"""