# OOP version of activity_4.py with grid layout
# A simple username text field and search button that displays
# what user has entered through a message box

import tkinter as tk
from tkinter import ttk
from tkinter.messagebox import showinfo

# adapted from https://www.pythontutorial.net/tkinter/tkinter-object-oriented-window/ 

class App(tk.Tk):
  def __init__(self):
    super().__init__()

    self.title('My OOP App')
    self.geometry('450x150') #change these values and see the behaviour

    #options = {'padx': 10, 'pady': 10}

    self.label = ttk.Label(self, text='User name')
    #self.label.pack(side='left', **options)
    self.label.grid(column=0, row=0)

    self.user = tk.StringVar()
    self.entry = ttk.Entry(self, textvariable=self.user) 
    #self.entry.pack(side='right', **options)   
    self.entry.grid(column=1, row=0)   

    self.button = ttk.Button(self, text="Find Me", command=self.validate)
    #self.button['command'] = self.validate
    #self.button.pack(side='bottom', **options)
    self.button.grid(column=0, columnspan=2, row=1)

  def validate(self):
    showinfo(title='Information', message='Hello, ' + self.user.get() + '!')

if __name__ == "__main__":
  app = App()
  app.mainloop()


"""

activity_4.py

from tkinter import *
import tkinter.messagebox as mb

def validate():
    print("Username entered :", user.get())
    mb.showinfo(title='Information', message='OOP Tkinter! Hello ' + user.get())  

w = Tk()

w.geometry("200x70")

f1 = Frame(w)
f1.pack(side=TOP)

u_label = Label(f1,text="Username")
u_label.pack(side=LEFT)

user = StringVar()
u_entry = Entry(f1, textvariable= user, bd=2) 
u_entry.pack(side=RIGHT)

u_button = Button(text="SEARCH", command=validate)
u_button.pack(side=BOTTOM)

w.mainloop()

"""